Bug 246620 - System does not reboot properly which could lead to devices not functioning properly at following startup.
System does not reboot properly which could lead to devices not functioning p...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 09:55 EDT by Tom
Modified: 2008-01-09 10:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 10:41:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom 2007-07-03 09:55:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20070603 Fedora/2.0.0.4-2.fc7 Firefox/2.0.0.4

Description of problem:
When rebooting different Toshiba laptops (different BIOS manufacturers) the normal reboot process should turn the unit off for a second or two before again turning on and booting up.
This happens with Windows and did happen occasionally with older distributions (not only Fedora, maybe even not with Fedora at all, I am not sure). 
The current sitution is that the unit does a very short reboot, it never shuts off just reboots. The consequence is that sometimes different devices will not work properly. The most common device which ill not work is the WLAN card.
I guess the system needs the additional time to reset all devices properly.

To give You the full story this is not a Fedora-issue. I see this issue on Ubuntu (6.06, 6.10, 7.04, 7.10 alpha), Linux Mint (3.x) and OpenSuse (10.0, 10.1, 10.2, 10.3 alpha). Therefore I believe the problem lies in the kernel.

I also want You to know that it is not alawys that the devices will fail after the short reboot.

I see this on Toshiba laptops with Toshiba BIOSäes and Phoenix BIOSes. I did not check on models with Award BIOS.

I work as L2 support for Toshiba PC in the Nordic area so that is why I did some tests on so many models.

Version-Release number of selected component (if applicable):
2.6.21-1.3228.fc7

How reproducible:
Sometimes


Steps to Reproduce:
1.Choose reboot at any place in the running system (console, login screen, in Gnome)
2.
3.

Actual Results:
The machine reboots with a 'short' reboot, which means it does not shut off for a second or 2 before coming back up and starting again.

Expected Results:
The machine should reboot in a way that initially looks like it is actually shutting off. The LED that tells the user that the machine is ON should go off for a second or two (along with the unit of course ), then it comes back on and the machine starts up again. 
This process takes a little bit longer than the current one described above.

Additional info:
This issue has been observed on a number of Toshiba laptop models with different BIOSes and BIOS versions.
It also concerns more than just the Fedora distribution.

It COULD be that some of the other reported bugs are related to this one. I can see similarities in 156692 but they might be totally unrelated....
Comment 1 Christopher Brown 2007-09-17 16:26:20 EDT
Hello Tom,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Christopher Brown 2008-01-09 10:41:21 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.